import React from 'react';
declare type MessagesTypes = {
    disabled?: string;
    uploaded?: string;
    upload_another?: string;
    error?: string;
    drop?: string;
    upload?: string;
    or_message?: string;
};
declare type Props = {
    name?: string;
    hoverTitle?: string;
    types?: Array<string>;
    classes?: string;
    children?: JSX.Element;
    maxSize?: number;
    minSize?: number;
    fileOrFiles?: Array<File> | File | null;
    disabled?: boolean | false;
    label?: string | undefined;
    hideTypes: boolean;
    multiple?: boolean | false;
    required?: boolean | false;
    messages?: MessagesTypes;
    onSizeError?: (arg0: string) => void;
    onTypeError?: (arg0: string) => void;
    onDrop?: (arg0: File | Array<File>) => void;
    onSelect?: (arg0: File | Array<File>) => void;
    handleChange?: (arg0: File | Array<File> | File) => void;
    onDraggingStateChange?: (dragging: boolean) => void;
    dropMessageStyle?: React.CSSProperties | undefined;
};
/**
 * File uploading main function
 * @param props - {name,
    hoverTitle,
    types,
    handleChange,
    classes,
    children,
    maxSize,
    minSize,
    fileOrFiles,
    onSizeError,
    onTypeError,
    onSelect,
    onDrop,
    onTypeError,
    disabled,
    label,
    messages
    multiple,
    required,
    onDraggingStateChange
  }
 * @returns JSX Element
 */
declare const FileUploader: React.FC<Props>;
export default FileUploader;
